## jglobus 2.0.4+git20121013

=== debian/changelog ===
jglobus (2.0.4+git20121013-1) unstable; urgency=low

  * Initial release (Closes: #690862)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 17 Oct 2012 20:08:48 +0200
