=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure: configure-stamp

configure-stamp:
	dh_testdir
	mh_patchpom -plibjglobus-parent-java pom.xml
	mh_patchpom -plibjglobus-parent-java test-utils/pom.xml
	mh_patchpom -plibjglobus-parent-java container-test-utils/pom.xml
	mh_patchpom -plibjglobus-ssl-proxies-java ssl-proxies/pom.xml
	mh_patchpom -plibjglobus-jsse-java jsse/pom.xml
	mh_patchpom -plibjglobus-gss-java gss/pom.xml
	mh_patchpom -plibjglobus-gram-java gram/pom.xml
	mh_patchpom -plibjglobus-gridftp-java gridftp/pom.xml
	mh_patchpom -plibjglobus-ssl-proxies-tomcat-java ssl-proxies-tomcat/pom.xml
	mh_patchpom -plibjglobus-io-java io/pom.xml
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	debian/mvn-debian -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.skip=true \
	    resources:resources compiler:compile jar:jar \
	    resources:testResources compiler:testCompile surefire:test \
	    javadoc:aggregate
	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -rf target
	rm -rf */target

	[ -r pom.xml.save ] && mv pom.xml.save pom.xml || :
	[ -r test-utils/pom.xml.save ] && mv test-utils/pom.xml.save test-utils/pom.xml || :
	[ -r container-test-utils/pom.xml.save ] && mv container-test-utils/pom.xml.save container-test-utils/pom.xml || :
	[ -r ssl-proxies/pom.xml.save ] && mv ssl-proxies/pom.xml.save ssl-proxies/pom.xml || :
	[ -r jsse/pom.xml.save ] && mv jsse/pom.xml.save jsse/pom.xml || :
	[ -r gss/pom.xml.save ] && mv gss/pom.xml.save gss/pom.xml || :
	[ -r gram/pom.xml.save ] && mv gram/pom.xml.save gram/pom.xml || :
	[ -r gridftp/pom.xml.save ] && mv gridftp/pom.xml.save gridftp/pom.xml || :
	[ -r ssl-proxies-tomcat/pom.xml.save ] && mv ssl-proxies-tomcat/pom.xml.save ssl-proxies-tomcat/pom.xml || :
	[ -r io/pom.xml.save ] && mv io/pom.xml.save io/pom.xml || :

	rm -f build-stamp configure-stamp

	mh_clean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	mh_installpom -plibjglobus-parent-java -e2.0.4 pom.xml

	for jar in ssl-proxies jsse gss gram gridftp ssl-proxies-tomcat io ; do \
	    mh_installpom -plibjglobus-$$jar-java -e2.0.4 $$jar/pom.xml ; \
	    mh_installjar -plibjglobus-$$jar-java -e2.0.4 -l -njglobus-$$jar -j2.0.4 $$jar/pom.xml $$jar/target/$$jar-debian.jar ; \
	done

	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure install
