## jglobus 2.0.5

=== debian/changelog ===
jglobus (2.0.5-1) unstable; urgency=low

  * Version 2.0.5 final release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Mar 2013 16:15:12 +0100

jglobus (2.0.5~rc2-1) unstable; urgency=low

  * Version 2.0.5 release candidate 2
  * New package libjglobus-myproxy-java
  * New package libjglobus-axisg-java

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 31 Jan 2013 15:37:04 +0100
