=== debian/control ===
Source: jglobus
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-clean-plugin-java, libmaven-dependency-plugin-java, libmaven-enforcer-plugin-java, libmaven-install-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libmaven-resources-plugin-java, libcommons-codec-java, libcommons-io-java, libcommons-logging-java, libbcprov-java, liblog4j1.2-java, libtomcat6-java, libhttpclient-java, libaxis-java, libservlet2.5-java, junit4
Standards-Version: 3.9.4
Section: java
Homepage: http://github.com/jglobus/

Package: libjglobus-parent-java
Section: java
Architecture: all
Depends: ${misc:Depends}
Description: Globus Java - parent pom file
 Globus Java libraries parent maven pom file

Package: libjglobus-ssl-proxies-java
Section: java
Architecture: all
Depends: libjglobus-parent-java (= ${binary:Version}), libcommons-codec-java, libcommons-io-java, libcommons-logging-java, libbcprov-java, liblog4j1.2-java, ${misc:Depends}
Description: Globus Java - SSL and proxy certificate support
 Globus Java library with SSL and proxy certificate support

Package: libjglobus-jsse-java
Section: java
Architecture: all
Depends: libjglobus-ssl-proxies-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - SSL support
 Globus Java library with SSL support

Package: libjglobus-gss-java
Section: java
Architecture: all
Depends: libjglobus-jsse-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - GSS-API implementation for SSL with proxies
 Globus Java library containing a GSS-API implementation for SSL with proxies

Package: libjglobus-gram-java
Section: java
Architecture: all
Depends: libjglobus-gss-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - Grid Resource Allocation and Management (GRAM)
 Globus Java library with GRAM support

Package: libjglobus-gridftp-java
Section: java
Architecture: all
Depends: libjglobus-jsse-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - GridFTP
 Globus Java library with GridFTP support

Package: libjglobus-ssl-proxies-tomcat-java
Section: java
Architecture: all
Depends: libjglobus-jsse-java (= ${binary:Version}), libtomcat6-java, ${misc:Depends}
Description: Globus Java - SSL and proxy certificate support for Tomcat
 Globus Java library with SSL and proxy certificate support for Tomcat

Package: libjglobus-io-java
Section: java
Architecture: all
Depends: libjglobus-gram-java (= ${binary:Version}), libjglobus-gridftp-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - IO
 Globus Java library with IO utilities

Package: libjglobus-myproxy-java
Section: java
Architecture: all
Depends: libjglobus-gss-java (= ${binary:Version}), ${misc:Depends}
Description: Globus Java - MyProxy
 Globus Java library with MyProxy support

Package: libjglobus-axisg-java
Section: java
Architecture: all
Depends: libjglobus-gss-java (= ${binary:Version}), libaxis-java, libservlet2.5-java, ${misc:Depends}
Description: Globus Java - Apache AXIS support
 Globus Java library with Apache AXIS support

Package: jglobus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Javadocs for jglobus
 This package contains the API documentation for jglobus
