=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,13 @@
 	mh_patchpom -plibjglobus-gridftp-java gridftp/pom.xml
 	mh_patchpom -plibjglobus-ssl-proxies-tomcat-java ssl-proxies-tomcat/pom.xml
 	mh_patchpom -plibjglobus-io-java io/pom.xml
+	mh_patchpom -plibjglobus-myproxy-java myproxy/pom.xml
+	mh_patchpom -plibjglobus-axisg-java axis/pom.xml
+
+	# Remove code duplication
+	rm -rf gram/src/main/java/org/globus/net
+	rm -rf io/src/main/java/org/globus/io/gass
+
 	touch $@
 
 build: build-arch build-indep
@@ -25,7 +32,8 @@
 
 build-stamp: configure-stamp
 	dh_testdir
-	debian/mvn-debian -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.skip=true \
+	debian/mvn-debian -Ptomcat6 \
+	    -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.skip=true \
 	    resources:resources compiler:compile jar:jar \
 	    resources:testResources compiler:testCompile surefire:test \
 	    javadoc:aggregate
@@ -48,6 +56,8 @@
 	[ -r gridftp/pom.xml.save ] && mv gridftp/pom.xml.save gridftp/pom.xml || :
 	[ -r ssl-proxies-tomcat/pom.xml.save ] && mv ssl-proxies-tomcat/pom.xml.save ssl-proxies-tomcat/pom.xml || :
 	[ -r io/pom.xml.save ] && mv io/pom.xml.save io/pom.xml || :
+	[ -r myproxy/pom.xml.save ] && mv myproxy/pom.xml.save myproxy/pom.xml || :
+	[ -r axis/pom.xml.save ] && mv axis/pom.xml.save axis/pom.xml || :
 
 	rm -f build-stamp configure-stamp
 
@@ -68,11 +78,14 @@
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs
-	mh_installpom -plibjglobus-parent-java -e2.0.4 pom.xml
+	mh_installpom -plibjglobus-parent-java -e2.0.5 pom.xml
 
-	for jar in ssl-proxies jsse gss gram gridftp ssl-proxies-tomcat io ; do \
-	    mh_installpom -plibjglobus-$$jar-java -e2.0.4 $$jar/pom.xml ; \
-	    mh_installjar -plibjglobus-$$jar-java -e2.0.4 -l -njglobus-$$jar -j2.0.4 $$jar/pom.xml $$jar/target/$$jar-debian.jar ; \
+	for jar in ssl-proxies jsse gss gram gridftp ssl-proxies-tomcat io \
+		   myproxy axisg ; do \
+	    if [ "$$jar" = "axisg" ] ; then dir=axis ; else dir=$$jar ; fi ; \
+	    mh_installpom -plibjglobus-$$jar-java -e2.0.5 $$dir/pom.xml ; \
+	    mh_installjar -plibjglobus-$$jar-java -e2.0.5 $$dir/pom.xml \
+		-l -njglobus-$$jar $$dir/target/$$jar-debian.jar ; \
 	done
 
 	dh_link
