## jglobus 2.0.6

=== debian/changelog ===
jglobus (2.0.6-2) unstable; urgency=low

  * Use versioned bouncycastle dependencies

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Aug 2013 09:52:58 +0200

jglobus (2.0.6-1) unstable; urgency=low

  * Version 2.0.6 final release
  * Backport bouncycastle 1.47 adaptation from upsream git (Closes: #713200)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 14 Aug 2013 20:01:52 +0200
