## jglobus 2.1.0

=== debian/changelog ===
jglobus (2.1.0-3) unstable; urgency=medium

  * Replace mvn-debian with maven-debian-helper (Closes: #805003)
  * Replace debian/patches/jglobus-no-sonatype.patch with rules in
    debian/maven.ignoreRules

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2015 19:42:28 +0100

jglobus (2.1.0-2) unstable; urgency=medium

  * Update maven-surefire-plugin version
  * Don't force SSLv3 in myproxy (backport from upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 14 Aug 2015 07:18:49 +0200

jglobus (2.1.0-1) unstable; urgency=medium

  * Version 2.1.0 final release
  * Update tomcat dependencies to version 8 (Closes: #759630)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Oct 2014 21:48:55 +0200
