=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: jglobus
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-clean-plugin-java, libmaven-dependency-plugin-java, libmaven-enforcer-plugin-java, libmaven-install-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libmaven-resources-plugin-java, libcommons-codec-java, libcommons-io-java, libcommons-logging-java, libbcprov-java (>> 1.47), liblog4j1.2-java, libtomcat6-java, libhttpclient-java, libaxis-java, libservlet2.5-java, junit4
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), maven-debian-helper, libmaven-compiler-plugin-java, libmaven-javadoc-plugin-java, libsurefire-java, junit4, libcommons-codec-java, libcommons-httpclient-java, libcommons-io-java, libcommons-logging-java, libbcprov-java (>= 1.47), libhttpclient-java, liblog4j1.2-java, libtomcat8-java, libaxis-java, libservlet3.1-java
+Standards-Version: 3.9.6
 Section: java
 Homepage: http://github.com/jglobus/
 
@@ -16,7 +16,7 @@
 Package: libjglobus-ssl-proxies-java
 Section: java
 Architecture: all
-Depends: libjglobus-parent-java (= ${binary:Version}), libcommons-codec-java, libcommons-io-java, libcommons-logging-java, libbcprov-java (>> 1.47), liblog4j1.2-java, ${misc:Depends}
+Depends: libjglobus-parent-java (= ${binary:Version}), libcommons-codec-java, libcommons-io-java, libcommons-logging-java, libbcprov-java (>= 1.47), liblog4j1.2-java, ${misc:Depends}
 Description: Globus Java - SSL and proxy certificate support
  Globus Java library with SSL and proxy certificate support
 
@@ -51,7 +51,7 @@
 Package: libjglobus-ssl-proxies-tomcat-java
 Section: java
 Architecture: all
-Depends: libjglobus-jsse-java (= ${binary:Version}), libtomcat6-java, ${misc:Depends}
+Depends: libjglobus-jsse-java (= ${binary:Version}), libtomcat8-java, ${misc:Depends}
 Description: Globus Java - SSL and proxy certificate support for Tomcat
  Globus Java library with SSL and proxy certificate support for Tomcat
 
@@ -72,7 +72,7 @@
 Package: libjglobus-axisg-java
 Section: java
 Architecture: all
-Depends: libjglobus-gss-java (= ${binary:Version}), libaxis-java, libservlet2.5-java, ${misc:Depends}
+Depends: libjglobus-gss-java (= ${binary:Version}), libcommons-httpclient-java, libaxis-java, libservlet3.1-java, ${misc:Depends}
 Description: Globus Java - Apache AXIS support
  Globus Java library with Apache AXIS support
