=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=maven

override_dh_auto_test:

override_dh_auto_install:
	PATH=$(CURDIR)/debian:$${PATH} dh_auto_install
	rm -rf debian/libjglobus-parent-java/usr/share/maven-repo/org/jglobus/test-utils
	rm -rf debian/libjglobus-parent-java/usr/share/maven-repo/org/jglobus/container-test-utils
	rm -rf debian/libjglobus-parent-java/usr/share/java
